
export default function () {
  const listeners = []

  const listen = (f) => {
    const p = listeners.length
    listeners.push(f)
    return () => {
      listeners.splice(p, 1)
    }
  }

  const notify = (...args) => {
    listeners.forEach(f => f(...args))
  }

  return { listen, notify }
}
